#pragma once

namespace ReTexture {
    enum TextureFlag {
        NONE = 0,
        INVERT_Y = 1,
        INVERT_X = 2,
    };

    inline TextureFlag operator|(TextureFlag a, TextureFlag b) {
        return static_cast<TextureFlag>(static_cast<int>(a) | static_cast<int>(b));
    }

    enum class TextureFormat : bool {
        RGB = false,
        RGBA = true
    };
}